<?php

namespace KupShop\ElninoBundle\GoogleTagManager\Page;

class Home extends AbstractPage
{
    protected function setBaseData($context)
    {
        $data = $this->dataLayer->getGtp();
    }

    protected function setEccomData($context)
    {
        parent::setEccomData($context);

        $data = $this->dataLayer->getGtp();

        $data->ecomm_pagetype = 'home';
    }

    protected function setDynxData($context)
    {
        parent::setDynxData($context);

        $data = $this->dataLayer->getGtp();

        $data->dynx_pagetype = 'home';
    }

    protected function setPageData($context)
    {
        // TODO: Implement setPageData() method.
    }
}
